'37_in_1, IR sender, CTC

$regfile = "m328pdef.dat"
$crystal = 16000000
$hwstack = 20
$swstack = 20
$framesize = 80

Dim Cmd As Byte , Timer_flag As Bit , I As Byte

Config Clockdiv = 1

$include "Arduino_pins.sub"                                 'include Arduino pin definitions

Config Arduino_pin#10 = Input

Wait 1
Print "37_in_1 demo program 14a"
Print "~10 = digital output"
Print
Print "0 = OFF"
Print "r = red"
Print "g = green"
Print "b = blue"
Print

Config Timer1 = Timer , Prescale = 1 , Compare_b = Toggle , Clear_timer = 1
Stop Timer1
Timer_flag = 0

Do
  Cmd = Inkey()
  If Cmd <> 0 Then
    Gosub Cmd_sub
  End If
Loop

End

Cmd_sub:
  If Chr(cmd) = "r" Or Chr(cmd) = "R" Then
    Gosub Start_38khz
    Waitms 40
    Gosub Stop_38khz
    Waitms 20
    Print "red"
  Elseif Chr(cmd) = "g" Or Chr(cmd) = "G" Then
    Gosub Start_38khz
    Waitms 60
    Gosub Stop_38khz
    Waitms 20
    Print "green"
  Elseif Chr(cmd) = "b" Or Chr(cmd) = "B" Then
    Gosub Start_38khz
    Waitms 80
    Gosub Stop_38khz
    Waitms 20
    Print "blue"
  Elseif Chr(cmd) = "0" Then
    Gosub Start_38khz
    Waitms 100
    Gosub Stop_38khz
    Waitms 20
    Print "OFF"
  Else
    Print "??"
  End If
Return

Start_38khz:
  Compare1a = 210 - 1
  Start Timer1
  Timer_flag = 1
Return

Stop_38khz:
  Stop Timer1
  If Arduino_pin#10 = 1 Then
    Tccr1c.foc1b = 1
  End If
  Timer_flag = 0
Return

